// pages/bindOld/bindOld.js
const app = require('../../utils/util.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    arr: []
  },
  go(e) {
    console.log(e)
    let idNumber = e.currentTarget.dataset.item
    wx.navigateTo({
      url: '/pages/visitList/visitList?id=' + idNumber,
    })
  },
  // 解除绑定
  nobindNumber() {
    let id = wx.getStorageSync('openId');
    wx.showModal({
      showCancel: true,
      content: '确定要解除绑定关系吗',
      success: (res) => {
        if (res.confirm) {
          wx.showLoading({
            title: '加载中',
          })
          wx.request({
            url: app.globalData.publicUrl + '/wxinfo/visitUnbind',
            method: "GET",
            data: {
              openId: id,
              fid: this.data.fid
            },
            success: res => {
              console.log(res)
              if (res.data.code == 0) {
                wx.showModal({
                  showCancel: false,
                  content: '已解除绑定',
                  success: (res) => {
                    wx.navigateTo({
                      url: '/pages/visitFind/visitFind',
                    })
                  }
                })
              } else {
                wx.showModal({
                  showCancel: false,
                  content: res.data.message,
                })
              }
            },
            complete: () => {
              wx.hideLoading()
            }
          })
        }
      }
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {
    let id = wx.getStorageSync('openId');
    wx.showLoading({
      title: '加载中',
    })
    wx.request({
      url: app.globalData.publicUrl + '/wxinfo/visitIsExist',
      method: "GET",
      data: {
        openId: id
      },
      success: res => {
        if (res.data.code == 1) {
          console.log("用户没绑定", res);
          wx.hideLoading()
          wx.navigateTo({
            url: '/pages/visitFind/visitFind',
          })
        } else if (res.data.code == 0) {
          console.log("用户已经绑定了", res);
          console.log(res.data.data._id)
          this.setData({
            fid: res.data.data._id
          })
          this.findFamilyInfo(res.data.data._id)
        } else {
          wx.hideLoading()
          wx.showModal({
            showCancel: false,
            content: res.data.message,
          })
        }
      }
    });
  },
  findFamilyInfo(_id) {
    wx.request({
      url: app.globalData.publicUrl + '/wxinfo/visitByFid',
      method: "GET",
      data: {
        fid: _id
      },
      success: res => {
        if (res.data.code == 0) {
          console.log(res.data.data, '我查到户的id了')
          this.setData({
            arr: res.data.data
          })
        } else {
          wx.showModal({
            showCancel: false,
            content: res.data.message,
          })
        }
      },
      complete: () => {
        wx.hideLoading()
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})